### Method

# Clutter BindingPool override_action

#### Declaration [src]

    void
    clutter_binding_pool_override_action (
      ClutterBindingPool* pool,
      guint key_val,
      ClutterModifierType modifiers,
      GCallback callback,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Allows overriding the action for `key_val` and `modifiers` inside a `ClutterBindingPool`. See `clutter_binding_pool_install_action()`.

When an action has been activated using `clutter_binding_pool_activate()` the passed `callback` will be invoked (with `data`).

Actions can be blocked with `clutter_binding_pool_block_action()` and then unblocked using `clutter_binding_pool_unblock_action()`.

#### Parameters

`key_val`

  Type: `guint`

  Key symbol.

`modifiers`

  Type: `ClutterModifierType`

  Bitmask of modifiers.

`callback`

  Type: `GCallback`

  Function to be called when the action is activated.

`data`

  Type: `gpointer`

  Data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to be called when the action is removed from the pool.